%define upstream_name    IO-Pty-Easy
%define upstream_version 0.09

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Easy interface to IO::Pty
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/IO/%{upstream_name}-%{upstream_version}.tar.gz
# Fix a race in t/read-write.t test, bug #1314777, CPAN RT#95702
Patch0:         IO-Pty-Easy-0.09-Fix-a-race-in-t-read-write.t-test.patch

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Pty)
BuildRequires: perl(POSIX)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
'IO::Pty::Easy' provides an interface to the IO::Pty manpage which hides
most of the ugly details of handling ptys, wrapping them instead in simple
spawn/read/write commands.

'IO::Pty::Easy' uses the IO::Pty manpage internally, so it inherits all of
the portability restrictions from that module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.90.0-11pclos2017
- rebuild against updates

